using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Inject;

[ComImport]
[Guid("22072A97-E5E6-4D91-A344-807235BFA5D8")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface ILayerPopup
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	bool PopupCancel(ref MouseState pMouse);
}
